Hello folks,

this is a binary distribution of John Ousterhout's TCL 7.4
Patchlevel 3.

TCL 7.4 was build under SINIX-P V5.42A with the CDS 1.1 C
compiler. Therefore this binary should work on any SINIX system with a
version 5.42 or later.

The whole package was build with "/home/tools" as the root
directory. Therefore all files, which are dynamically loaded, are
searched relative to this path. Therefore you should execute the
following steps:

	cd /home
	mkdir tools
	cd tools
	gzip -dc tcl7.4-rm.bin.tar.gz | tar xvf -

Now you have to extend your shell search path with "/home/tools/bin".

If you install the package into a different location, you have to
either set the environment variables according to the documentation or
create a symbolic link from the installation directory to
"/home/tools". For example, if you usually install your stuff under
"/usr/local/" in subdirectories like "bin", "lib" and "include", you
should make the following steps:

	cd /usr/local
	gzip -dc tcl7.4-rm.bin.tar.gz | tar xvf -
	cd /home
	ln -s /usr/local tools

Now, if you execute "ls -l /home/tools/lib/tcl7.4", you should see a
bunch of file with a "tcl" extension .

Since the TCL library was build as a shared library, and the TCL shell
(tclsh7.4) was liked against this shared library you also have to set
the environment variable LD_LIBRARY_PATH, so that the system dynamic
linker can resolve any open symbols during runtime. Assuming that you
installed the stuff under "/home/tools", you should tell your shell

	  LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/home/tools/lib
	  export LD_LIBRARY_PATH

In order to directly use the manual pages on you local system, you
have to extend the MANPATH environment variable

	  MANPATH=$MANPATH:/home/tools/man
	  export MANPATH

The manual pages can also be viewed online through a WWW browser under
the URL

	http://utensil.pdb.sni.de/man-pages

Here you can also read about some other interesting stuff.

Mail me (ridderbusch.pad@sni.de) if you have any problems.
--
MfG/Regards
				     Siemens Nixdorf Informationssysteme AG
     /====                          Abt.: LoB MR PD 254
    /    Ridderbusch        / ,    Heinz Nixdorf Ring
   /                       /./    33106 Paderborn, Germany
  /=== /,== ,===/  /,==,  //     Tel.: (49) 05251-8-15211
 /    //   /   /  //   / / \    NERV: ridderbusch.pad
/    /     `==/\ /    / /   \  Email: ridderbusch.pad@sni.de

# Local Variables:
# mode: indented-text
# End: